org.apache.poi.xdgf.usermodel

## Class XDGFPage

- java.lang.Object
- - org.apache.poi.xdgf.usermodel.XDGFPage

-     public class XDGFPage
      extends java.lang.Object

  Provides the API to work with an underlying page

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XDGFPageContents` | `_content`
    `protected XDGFPages` | `_pages`
    `protected XDGFSheet` | `_pageSheet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDGFPage(com.microsoft.schemas.office.visio.x2012.main.PageType page, XDGFPageContents content, XDGFDocument document, XDGFPages pages)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Rectangle2D` | `getBoundingBox()`
    `XDGFPageContents` | `getContent()`
    `long` | `getID()`
    `java.lang.String` | `getName()`
    `long` | `getPageNumber()`
    `java.awt.geom.Point2D.Double` | `getPageOffset()`
    `XDGFSheet` | `getPageSheet()`
    `Dimension2dDouble` | `getPageSize()`
    `protected com.microsoft.schemas.office.visio.x2012.main.PageType` | `getXmlObject()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _content

          protected XDGFPageContents _content

    - #### _pages

          protected XDGFPages _pages

    - #### _pageSheet

          protected XDGFSheet _pageSheet

  - ### Constructor Detail

    - #### XDGFPage

          public XDGFPage(com.microsoft.schemas.office.visio.x2012.main.PageType page,
                          XDGFPageContents content,
                          XDGFDocument document,
                          XDGFPages pages)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected com.microsoft.schemas.office.visio.x2012.main.PageType getXmlObject()

    - #### getID

          public long getID()

    - #### getName

          public java.lang.String getName()

    - #### getContent

          public XDGFPageContents getContent()

    - #### getPageSheet

          public XDGFSheet getPageSheet()

    - #### getPageNumber

          public long getPageNumber()

    - #### getPageSize

          public Dimension2dDouble getPageSize()

      Returns:
        width/height of page

    - #### getPageOffset

          public java.awt.geom.Point2D.Double getPageOffset()

      Returns:
        origin of coordinate system

    - #### getBoundingBox

          public java.awt.geom.Rectangle2D getBoundingBox()

      Returns:
        bounding box of page

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.